Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC::Metadata::SimpleIterator Class Reference
[FLAC++/metadata.h: metadata level 1 interface]

`#include <metadata.h>`

List of all members.

## Public Methods

| SimpleIterator ()
virtual | ~SimpleIterator ()
bool | init (const char *filename, bool read_only, bool preserve_file_stats)
bool | is_valid () const
Status | status ()
bool | is_writable () const
bool | next ()
bool | prev ()
::FLAC__MetadataType | get_block_type () const
Prototype * | get_block ()
bool | set_block (Prototype *block, bool use_padding=true)
bool | insert_block_after (Prototype *block, bool use_padding=true)
bool | delete_block (bool use_padding=true)

## Protected Methods

void | clear ()

## Protected Attributes

::FLAC__Metadata_SimpleIterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_simple_iterator structures and methods; see FLAC__Metadata_SimpleIterator.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h